From: Pirate Praveen <praveen@debian.org>
Date: Sat, 22 Feb 2020 01:05:05 +0100
Subject: This patch drops the test requiring internet connection.

Author: Pirate Praveen <praveen@debian.org>
---
 spec/parser_spec.rb | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/spec/parser_spec.rb b/spec/parser_spec.rb
index df61966..a3de5c3 100644
--- a/spec/parser_spec.rb
+++ b/spec/parser_spec.rb
@@ -20,7 +20,8 @@ describe RefererParser::Parser do
   let(:default_parser) { RefererParser::Parser.new }
   let(:internal_parser) { RefererParser::Parser.new(fixture('internal.json')) }
   let(:combined_parser) { RefererParser::Parser.new([RefererParser::Parser::DefaultFile, fixture('internal.json')]) }
-  let(:remote_parser) { RefererParser::Parser.new(remote_file) }
+# Disabling this test as it requires an internet connection
+#  let(:remote_parser) { RefererParser::Parser.new(remote_file) }
   let(:domain_index) { parser.instance_variable_get(:@domain_index) }
   let(:name_hash) { parser.instance_variable_get(:@name_hash) }
 
@@ -90,7 +91,7 @@ describe RefererParser::Parser do
     let(:parser) { remote_parser }
 
     # These are combined here to reduce network fetches
-    it "should have a non-empty domain_index and name_hash" do
+    xit "should have a non-empty domain_index and name_hash" do
       domain_index.should_not be_empty
       name_hash.should_not be_empty
     end
